List sender accounts
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/sender-accounts \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/sender-accounts"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/sender-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/sender-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/sender-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/sender-accounts")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/sender-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"sender_accounts": [
{
"inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "<string>",
"display_name": "<string>",
"inbox_type": "<string>",
"overall_status": "<string>",
"daily_limit": 123,
"emails_sent_today": 123,
"health_score": 123,
"created_at": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"pages": 123,
"has_next": true,
"has_prev": true
},
"success": true,
"message": "Sender accounts retrieved successfully"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sender Accounts
List sender accounts
List all sender email accounts in your workspace
Retrieve a paginated list of all configured sender accounts for sending emails.
Filtering Options
- inbox_type: Filter by inbox type (COLDSEND, GOOGLE_WORKSPACE, OUTLOOK_365, CUSTOM_SMTP)
- status: Filter by status (ACTIVE, PAUSED, DISABLED)
- search: Search by email address
Sorting Options
- sort_by: Field to sort by (email_address, inbox_type, created_at, health_score)
- sort_order: Sort direction (asc, desc)
Pagination
- page: Page number (1-based)
- limit: Items per page (1-100, default 20)
GET
/
api
/
public
/
v1
/
sender-accounts
List sender accounts
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/sender-accounts \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/sender-accounts"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/sender-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/sender-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/sender-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/sender-accounts")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/sender-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"sender_accounts": [
{
"inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_address": "<string>",
"display_name": "<string>",
"inbox_type": "<string>",
"overall_status": "<string>",
"daily_limit": 123,
"emails_sent_today": 123,
"health_score": 123,
"created_at": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"pages": 123,
"has_next": true,
"has_prev": true
},
"success": true,
"message": "Sender accounts retrieved successfully"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key with format cs_live_xxx
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Filter by inbox type
Filter by status
Search by email address
Sort field
Sort order (asc/desc)
Response
Sender accounts retrieved successfully
Response for listing sender accounts.
Was this page helpful?

